API

Create a payment intent

Create a payment intent to be used for the 3DSecure payment flow. When amount and currency are omitted, a small validation charge is used (for card-on-file validation during initial powerup signup). When provided, the intent is created for the requested amount, used to authorize purchases (e.g. credit packs, marketing campaigns).

POST/v1/hq/companies/{company_id}/subscriptions/payment_intent

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Company ID

Example"dwawd8awudawd"

Query Parameters

amount?integer

Amount in the smallest currency unit (e.g. cents). Without item_price_id: the exact intent amount. When omitted, falls back to a card-validation amount. With item_price_id: a unit price override applied to the item (used for custom-amount charges like marketing campaigns).

Formatint64
currency?string

ISO 4217 currency code. When omitted, the company's preferred currency is used.

item_price_id?string

When provided, the intent amount is set to the gross total (incl. tax) Chargebee will charge for this item price, computed via an invoice estimate.

select?array<string>
expand?array<string>

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/companies/dwawd8awudawd/subscriptions/payment_intent"
{
  "id": "7awdXwZoedakjad37a",
  "customer_id": "7awdXwZoedakjad37a",
  "status": "inited",
  "currency_code": "EUR",
  "amount": 0,
  "gateway": "braintree",
  "gateway_account_id": "gw_7awdXwZoedakjad37a",
  "reference_id": "string",
  "expires_at": 1257894000,
  "created_at": 1257894000,
  "modified_at": 1257894000,
  "resource_version": 0,
  "updated_at": 1257894000
}
Empty
Empty